algorithmic modeling for Rhino
Rhino.Geometry.Ellipse curve = new Rhino.Geometry.Ellipse(plane, double, double);
Brep[] surfs = Brep.CreatePlanarBreps(curve);
A = surfs;
hope this is what ur searching.
Cheers FF
I get an error that reads: Runtime error ( Argument TypeException): expected CurveList, Got Ellipse
I am using python but I assume the script should work the same way.
Thanks!
oh sorry...you're right there is something wrong. it should be:
Brep[] surfs = Brep.CreatePlanarBreps(curve.ToNurbsCurve());
This worked great! Thank you. I ended up using the following in rhinopython for grasshopper to output just the 1 brep rather than the array:
brepsrf = Rhino.Geometry.Brep.CreatePlanarBreps(heads[-1].ToNurbsCurve())[0]
congrats...i'm happy that it worked.
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by